> ## Documentation Index
> Fetch the complete documentation index at: /llms.txt
> Use this file to discover all available pages before exploring further.

# Sample metadata rows

> A few rows of the dataset's Parquet metadata, as JSON.



## OpenAPI

````yaml /openapi.json get /v1/datasets/{slug}/sample
openapi: 3.1.0
info:
  title: datachad API
  description: Accounts, API keys and catalogue access for datachad datasets.
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.datachad.xyz
security: []
tags:
  - name: Auth
    description: Sign up, log in and read the current user.
  - name: API keys
    description: Create and revoke keys for programmatic access.
  - name: Datasets
    description: Browse the catalogue and its metadata.
paths:
  /v1/datasets/{slug}/sample:
    get:
      tags:
        - Datasets
      summary: Sample metadata rows
      description: A few rows of the dataset's Parquet metadata, as JSON.
      operationId: sample
      parameters:
        - name: slug
          in: path
          description: Dataset identifier
          required: true
          schema:
            type: string
          example: sea-helmet-cam
        - name: limit
          in: query
          description: Rows to return, 1 to 50. Default 10.
          required: false
          schema:
            type: integer
            minimum: 0
      responses:
        '200':
          description: Metadata rows
          content:
            application/json:
              schema: {}
        '401':
          description: Missing or invalid credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '404':
          description: No such dataset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
      security:
        - apiKey: []
        - bearerAuth: []
components:
  schemas:
    ErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````